Package com.emc.d2fs.interfaces

# Interface IMoveService

All Superinterfaces:
  `ID2fsService`

public interface IMoveService extends ID2fsService
Move and Copy services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `copy(Context context, String targetId, String objIds)`
  Copy objects to a new location
  `boolean`
  `link(Context context, String targetId, String objIds)`
  Link objects into a location
  `boolean`
  `move(Context context, String targetId, String sourceId, String objIds)`
  Move objects to a new location
  `List<Attribute>`
  `paste(Context targetContext, String targetId, String operation, Context sourceContext, String sourceId, String objIds, List<Attribute> attributes)`
  Paste objects to a new location
  `List<Attribute>`
  `pasteFolderStructure(Context context, Context sourceContext, String masterId, String folderId, String structureConfigName, List<Attribute> parameters)`
  Paste a folder structure to another repository

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### move

    boolean move(Context context, String targetId, String sourceId, String objIds) throws Exception
    Move objects to a new location
    Parameters:
      `context` - `Context` object containing informations about client/session
      `targetId` - String Id of the target container
      `sourceId` - String Id of the source container
      `objIds` - String list of ids for object to be moved (separated by AttributeUtils.SEPARATOR_VALUE)
    Returns:
      boolean true for success
    Throws:
      `Exception`

  - ### copy

    String copy(Context context, String targetId, String objIds) throws Exception
    Copy objects to a new location
    Parameters:
      `context` - `Context` object containing informations about client/session
      `targetId` - String Id of the target container
      `objIds` - String list of ids for object to be copied (separated by AttributeUtils.SEPARATOR_VALUE)
    Returns:
      boolean true for success
    Throws:
      `Exception`

  - ### link

    boolean link(Context context, String targetId, String objIds) throws Exception
    Link objects into a location
    Parameters:
      `context` - `Context` object containing informations about client/session
      `targetId` - String Id of the target container
      `objIds` - String list of ids for object to be linked (separated by AttributeUtils.SEPARATOR_VALUE)
    Returns:
      boolean true for success
    Throws:
      `Exception`

  - ### paste

    List<Attribute> paste(Context targetContext, String targetId, String operation, Context sourceContext, String sourceId, String objIds, List<Attribute> attributes) throws Exception
    Paste objects to a new location
    Parameters:
      `targetContext` - `Context` object containing informations about target client/session.
      `targetId` - String Id of the target container
      `operation` - operation type: copy or move.
      `sourceContext` - `Context` object containing informations about source client/session.
      `sourceId` - String Id of the source container
      `objIds` - String list of ids for object to be copied (separated by AttributeUtils.SEPARATOR_VALUE)
      `attributes` - List of `Attribute` as params
    Returns:
      attribute list if process performs without error, you will find an : attribute name="isOperationDone" a boolean to specify if the operation is done. attribute name="isFileImportNeeded" (optional) a boolean to specify if the files import wizard is needed. attribute name="isStructureImportNeeded" (optional) a boolean to specify if the structure import wizard is needed.
    Throws:
      `Exception`

  - ### pasteFolderStructure

    List<Attribute> pasteFolderStructure(Context context, Context sourceContext, String masterId, String folderId, String structureConfigName, List<Attribute> parameters) throws Exception
    Paste a folder structure to another repository
    Parameters:
      `context` - `Context` object containing informations about target client/session.
      `sourceContext` - `Context` object containing informations about source client/session.
      `masterId` - String Id of the master document used to import new content into target repository
      `folderId` - String Id of the folder/cabinet container from source repository
      `structureConfigName` - String configuration name of the structure configuration being used
      `parameters` - List of `Attribute` as params that will be set in the context for possible use
    Returns:
      attribute list if process performs without error, you will find an : attribute name="folderId" root folder id. attribute name="folderName" root folder name. attribute name="folderPath" root folder path.
    Throws:
      `Exception`